%global momorel 1
%global date 20060719
%global qtver 3.3.5
%global kdever 3.5.3
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: Simple image viewer for KDE
Name: gwenview
Version: 1.3.92
Release: 0.%{date}.%{momorel}m
License: GPL
URL: http://gwenview.sourceforge.net/
Group: Applications/Multimedia
Source0: %{name}-%{version}-%{date}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}, kipi-plugins
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: libpng-devel, libjpeg-devel, zlib-devel
BuildPreReq: libkipi-devel >= 0.1.4
BuildPreReq: libexif-devel >= 0.6.13
BuildPreReq: automake, autoconf, libtool

%description
Gwenview is an image viewer for KDE.

It features a folder tree window and a file list window to provide easy
navigation in your file hierarchy.  Image loading is done by the Qt library,
so it supports all image formats your Qt installation supports.

%prep
%setup -q -n %{name}

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--mandir=%{_mandir} \
	--enable-kipi \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/gwenview.png %{buildroot}%{_datadir}/pixmaps/gwenview.png

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in da de et fr it nl pt_BR ru sv ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%doc src/CREDITS src/HACKING src/NEWS
%{_bindir}/gwenview
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/*.la
%{_libdir}/*.so*
%{_datadir}/applications/kde/gwenview.desktop
%{_datadir}/apps/gvdirpart
%{_datadir}/apps/gvimagepart
%{_datadir}/apps/gwenview
%{_datadir}/apps/kconf_update/gwenview_*.sh
%{_datadir}/apps/kconf_update/gwenview_*.upd
%{_datadir}/apps/konqueror/servicemenus/konqgwenview.desktop
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/doc/HTML/*/gwenview
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/icons/*/*/*/*.svg
%{_datadir}/icons/*/*/*/*.svgz
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/pixmaps/gwenview.png
%{_datadir}/services/*.desktop
%{_mandir}/man1/gwenview.1*

%changelog
* Wed Jul 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.92-0.20060719.1m)
- update to 20060719 SVN snapshot (fix crash with konqueror)

* Sat Jun 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.1-4m)
- fix symlinks

* Sat Feb  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.1-3m)
- remove "make -f admin/Makefile.common cvs" from %%prep
- add --enable-new-ldflags to configure

* Sat Dec  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.1-2m)
- rebuild against libexif-0.6.12-1m

* Mon Nov 21 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.1-1m)
- version 1.3.1

* Tue Nov 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.0-5m)
- rebuild against KDE 3.5 RC1

* Sun Nov  6 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.0-4m)
- version down (fix build problem)
- enable KIPI support
- BuildPreReq: libkipi-devel
- Requires: kipi-plugins

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.0-2m)
- add --disable-rpath to configure

* Mon Sep 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.0-1m)
- version 1.3.0
- remove nokdelibsuff.patch

* Mon Jun 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.0-3m)
- add --with-qt-libraries=%%{qtdir}/lib to configure

* Wed Apr  6 2005 Toru Hoshina <t@momonga-linux.org>
- (1.2.0-2m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.

* Tue Apr  5 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.0-1m)
- version 1.2.0 stable release

* Sun Mar 20 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.0-0.4.1m)
- update to 1.2.0pre4

* Sat Mar  5 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.0-0.3.1m)
- update to 1.2.0pre3

* Fri Feb 18 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.0-0.2.1m)
- update to 1.2.0pre2
- add %%{_datadir}/pixmaps/gwenview.png for GNOME
- modify %%files section

* Mon Feb  7 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.1.8-2m)
- enable x86_64.

* Sun Jan 10 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.8-1m)
- update to 1.1.8
- add CFLAGS and CXXFLAGS
- add %%post and %%postun sections

* Mon Nov 01 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.6-1m)
- update to 1.1.6
- drop --enable-final from configure options because of a build error

* Fri Aug 13 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.1.0-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.0-1m)
- update to 1.1.0
- rebuild against KDE 3.2.0

* Thu Feb  5 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0.1-1m)
- update to 1.0.1

* Wed Dec 10 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0.0-1m)
- update to 1.0.0

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.15.2-4m)
- s/Copyright:/License:/

* Sat Mar 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.15.2-3m)
- rebuild against for XFree86-4.3.0

* Tue Mar 05 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.15.2-3m)
- fix URL

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (0.15.2-2m)
- rebuild against kde-3.0.5a.

* Mon Nov 11 2002 Shinji Takei <stakei@nga.jp>
- (0.15.2-1m)
- bug fix

* Wed Oct 30 2002 Shinji Takei <stakei@nga.jp>
- (0.15.1-1m)
- version up.

* Fri Oct 11 2002 Shinji Takei <stakei@nga.jp>
- (0.15.0-1m)
- version up.

* Sat Oct  5 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.14.5-3m)
- kdever to 3.0.3
- add BuildPreReq: qt-devel = %{qtver}
- add BuildPreReq: kdelibs-devel = %{kdever}

* Tue Aug 13 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.14.5-2m)
- add missing files

* Mon Aug 12 2002 Shinji Takei <stakei@nga.jp>
- (0.14.5-1m)
- first release.
